Bug 201223

Summary: wireless extensions at version 20, but wireless-tool at 19
Product: [Fedora] Fedora Reporter: Patrick Doyle <wpdster>
Component: wireless-toolsAssignee: Christopher Aillon <caillon>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5   
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-08-19 00:09:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Patrick Doyle 2006-08-03 17:15:49 UTC
Description of problem:
When I run:

$ sudo iwlist eth1 scan

I receive the following output:

Warning: Driver for device eth1 has been compiled with version 20
of Wireless Extension, while this program supports up to version 19.
Some things may be broken...

eth1      No scan results

lsmod shows that I am using the orinco driver (which is intentional, based on
something I read at

    http://bugzilla.redhat.com/bugzilla/show_bug.cga?id=191326.

Based on that article, I added:

# Wireless LAN card
blacklist hostap_cs

    to /etc/modprobe.d/blacklist, and added

alias wlan0 orinoco_cs

to /etc/modprobe.conf

Version-Release number of selected component (if applicable):
wireless-tools-28-0.pre13.5.1


How reproducible:
It happens every time I run iwlist

Steps to Reproduce:
1. (see above)
2.
3.
  
Actual results:
(see above)

Expected results:
At a minimum, I would not expect the complaint.  If I got as far as seeing
scanning results, that would be great, and if that made NetworkManager work, I
would be ecstatic. :-)


Additional info:

Comment 1 Radek Bíba 2006-08-19 00:09:40 UTC
This is a known problem. Thanks for your report anyway.

*** This bug has been marked as a duplicate of 196536 ***